Package org.apache.sling.junit.remote.httpclient

# Class RemoteTestHttpClient

java.lang.Object
org.apache.sling.junit.remote.httpclient.RemoteTestHttpClient

public class RemoteTestHttpClient extends Object
HTTP client that executes tests remotely

## Constructor Summary

Constructors
Constructor
Description
`RemoteTestHttpClient(String junitServletUrl, boolean consumeContent)`
`RemoteTestHttpClient(String junitServletUrl, String username, String password, boolean consumeContent)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTestExecutionPath()`
If called after runTests, returns the path used to run tests on the remote JUnit servlet
`org.apache.sling.testing.tools.http.RequestExecutor`
`runTests(String testClassesSelector, String testMethodSelector, String extension)`
`org.apache.sling.testing.tools.http.RequestExecutor`
`runTests(String testClassesSelector, String testMethodSelector, String extension, Map<String,String> requestOptions)`
`void`
`setRequestCustomizer(org.apache.sling.testing.tools.http.RequestCustomizer c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteTestHttpClient

public RemoteTestHttpClient(String junitServletUrl, boolean consumeContent)

### RemoteTestHttpClient

public RemoteTestHttpClient(String junitServletUrl, String username, String password, boolean consumeContent)

## Method Details

### setRequestCustomizer

public void setRequestCustomizer(org.apache.sling.testing.tools.http.RequestCustomizer c)

### runTests

public org.apache.sling.testing.tools.http.RequestExecutor runTests(String testClassesSelector, String testMethodSelector, String extension) throws org.apache.http.client.ClientProtocolException, IOException

Throws:
  `org.apache.http.client.ClientProtocolException`
  `IOException`

### runTests

public org.apache.sling.testing.tools.http.RequestExecutor runTests(String testClassesSelector, String testMethodSelector, String extension, Map<String,String> requestOptions) throws org.apache.http.client.ClientProtocolException, IOException

Throws:
  `org.apache.http.client.ClientProtocolException`
  `IOException`

### getTestExecutionPath

public String getTestExecutionPath()
If called after runTests, returns the path used to run tests on the remote JUnit servlet